@import "../../../base";
@import "../../../theme";

.tournament-list-comp {
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: auto auto;
  grid-row-gap: $mat-cell-dimension * 2;

  .tournament-list-comp-filter {
    display: grid;
    grid-column-gap: $mat-cell-dimension;
    justify-content: center;

    @include desktop {
      grid-template-columns: auto $mat-cell-dimension * 20 $mat-cell-dimension * 20 $mat-cell-dimension * 5 $mat-cell-dimension * 5 $mat-cell-dimension * 5;
    }

    @include tablet {
      grid-template-columns: $mat-cell-dimension * 30 $mat-cell-dimension * 20 $mat-cell-dimension * 20 $mat-cell-dimension * 5 $mat-cell-dimension * 5 $mat-cell-dimension * 5;
    }

    @include mobile {
      grid-template-columns: $mat-cell-dimension * 19 $mat-cell-dimension * 18 $mat-cell-dimension * 5 $mat-cell-dimension * 5;
      grid-template-rows: auto auto;
      grid-row-gap: $mat-cell-dimension;
    }

    justify-self: center;
    padding-left: $mat-cell-dimension;
    padding-top: $mat-cell-dimension;
    padding-right: $mat-cell-dimension;

    .tournament-list-comp-filter-text {
      @include mobile {
        justify-self: center;
        grid-column-start: 1;
        grid-column-end: 5;
        grid-row-start: 1;
      }
    }

    .tournament-list-comp-filter-from-date {
      @include mobile {
        grid-column-start: 1;
        grid-row-start: 2;
      }
    }

    .tournament-list-comp-filter-until-date {
      @include mobile {
        grid-column-start: 2;
        grid-row-start: 2;
      }
    }

    .tournament-list-comp-filter-btn {
      @include mobile {
        grid-column-start: 3;
        grid-row-start: 2;
      }
    }

    .tournament-list-comp-filter-clear-btn {
      @include mobile {
        grid-column-start: 4;
        grid-row-start: 2;
      }
    }

    .tournament-list-comp-filter-refresh-btn {
      @include mobile {
        grid-column-start: 5;
        grid-row-start: 2;
      }
    }

    .tournament-list-comp-filter-fab {
      justify-self: center;
      align-self: center;
    }
  }

  .tournament-list-loading-placeholder {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: $mat-cell-dimension * 40;
  }

  .tournament-list-comp-list {
    align-self: center;
  }
}